Loading...
Searching...
No Matches
etl::not_null< T * > Class Template Reference

## Public Types

typedef T | value_type
typedef T * | pointer
typedef const T * | const_pointer
typedef T & | reference
typedef const T & | const_reference
typedef pointer | underlying_type

## Public Member Functions

ETL_CONSTEXPR14 | not_null (underlying_type ptr_) ETL_NOEXCEPT_EXPR(ETL_NOT_USING_EXCEPTIONS)
ETL_CONSTEXPR14 | not_null (const etl::not_null< T * > &other) ETL_NOEXCEPT
| Copy construct from a not_null pointer.
ETL_CONSTEXPR14 not_null & | operator= (underlying_type rhs) ETL_NOEXCEPT_EXPR(ETL_NOT_USING_EXCEPTIONS)
ETL_CONSTEXPR14 not_null & | operator= (const etl::not_null< T * > &rhs) ETL_NOEXCEPT
| Assignment from a not_null.
ETL_CONSTEXPR14 pointer | get () const ETL_NOEXCEPT
| Gets the underlying pointer.
ETL_CONSTEXPR14 | operator pointer () const ETL_NOEXCEPT
| Implicit conversion to pointer.
ETL_CONSTEXPR14 reference | operator* () const ETL_NOEXCEPT
| Dereference operator.
ETL_CONSTEXPR14 pointer | operator-> () const ETL_NOEXCEPT
| Arrow operator.

## Constructor & Destructor Documentation

## not_null()

template<typename T>

ETL_CONSTEXPR14 etl::not_null< T * >::not_null | ( | underlying_type | ptr_ | ) |

inline explicit

Constructs a not_null from a pointer. Asserts if the pointer is null.

## Member Function Documentation

## operator=()

template<typename T>

ETL_CONSTEXPR14 not_null & etl::not_null< T * >::operator= | ( | underlying_type | rhs | ) |

inline

Assignment from a pointer. Asserts if the pointer is null.

The documentation for this class was generated from the following file:

- include/etl/not_null.h